Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGTokenizer

    java.lang.Object
      de.grogra.mtg.MTGTokenizer

    public class MTGTokenizer

extends java.lang.Object

Tokenizer for lines read from MTG file.

Since:
  2011-11-24
Author:
  Ong Yongzhi

Constructor Summary
`MTGTokenizer(java.lang.String lineString)`

Method Summary
`void` | `setCommentCharFound(boolean comment)`
`void` | `setLineString(java.lang.String lineString)`
`static java.lang.String[]` | `tokenizeEntityNames(java.lang.String entityNameString)` Tokenizes Entity-Name strings in MTG file body
`java.lang.String[]` | `tokenizeLineString()` Tokenizes member variable lineString.
`static java.lang.String[]` | `tokenizeTopoRightClasses(java.lang.String rightClasses)` Tokenizes 'Right' column strings in MTG file header-Description section

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MTGTokenizer

    public MTGTokenizer(java.lang.String lineString)

Method Detail

### setCommentCharFound

    public void setCommentCharFound(boolean comment)

### setLineString

    public void setLineString(java.lang.String lineString)

### tokenizeEntityNames

    public static java.lang.String[] tokenizeEntityNames(java.lang.String entityNameString)

  Tokenizes Entity-Name strings in MTG file body

  Returns:
    String[] array of Strings representing nodes,edges,MTG notations. Null if no tokens.

### tokenizeLineString

    public java.lang.String[] tokenizeLineString()

  Tokenizes member variable lineString. Tab characters are returned individually as tokens. Commented tokens (from a '#' character/token to up to a '\t' (tab) character/token are not returned.

  Returns:
    String[] array of Strings representing tokens.

### tokenizeTopoRightClasses

    public static java.lang.String[] tokenizeTopoRightClasses(java.lang.String rightClasses)

  Tokenizes 'Right' column strings in MTG file header-Description section

  Returns:
    String[] array of Strings representing class symbols. Null if no tokens.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD